org.apache.cassandra.utils

## Class TopKSampler.SamplerResult<S>

- java.lang.Object
- - org.apache.cassandra.utils.TopKSampler.SamplerResult<S>

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  TopKSampler<T>

    public static class TopKSampler.SamplerResult<S>
    extends java.lang.Object
    implements java.io.Serializable

Represents the cardinality and the topK ranked items collected during a sample period

See Also:
  Serialized Form

### Field Summary

Fields
`long` `cardinality`
`java.util.List<com.clearspring.analytics.stream.Counter<S>>` `topK`

### Constructor Summary

Constructors
Constructor and Description
`SamplerResult(java.util.List<com.clearspring.analytics.stream.Counter<S>> topK, long cardinality)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### topK

    public final java.util.List<com.clearspring.analytics.stream.Counter<S>> topK

#### cardinality

    public final long cardinality

### Constructor Detail

#### SamplerResult

    public SamplerResult(java.util.List<com.clearspring.analytics.stream.Counter<S>> topK,
                         long cardinality)